<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Watch.Later - Dune Warriors</title>
<link rel="stylesheet" href="../styles.css">
</head>
<body>

<div id="custom-cursor"></div>

<div>
  <a href="../index.html" class="header-link" style="font-size:50px;font-weight:bold;width:100%;text-align:left;margin-left:10px;text-decoration:none;">Watch.Later</a>
</div>
<div>
  <i style="font-size:25px;text-align:left;margin-left:10px;margin-right:160px;">Movies you should watch, just not right now</i>
</div>
</br>

<div class="image">
  <img src="https://m.media-amazon.com/images/M/MV5BNjU4NDc4ZTQtZGI1Ny00NTc4LTk4ODctOTIyZTliZmM0MmJjXkEyXkFqcGdeQXVyNjExODE1MDc@._V1_FMjpg_UX1000_.jpg" style="width:100%">
</div>
<a class="title">Dune Warriors</a></br>
<div class="body-text">
<i>Review Published</i>: June 2024</br>
<i>Reference</i>: <a href="https://www.imdb.com/title/tt0099474" target="_blank">IMDB</a></br>
<i>Released</i>: 1991</br>
<i>Runtime</i>: 1h 20m</br>
<i>Genre</i>: <a href="../categories/action.html">Action</a></br>
<i>Country of Origin</i>: United States</br>
<i>Language</i>: English</br>
<i>Synopsis</i>:</br>
In a dry and barren future California, the only hope for a young woman to save her town is to enlist the help of dune warriors.</br>
<i>Review</i>:</br>
Ah yes, Dune, a bleak futuristic fantasy where humans battle it out amidst the mountains of sand for access to water and resources. No, not that Dune, this is <i>Dune Warriors</i>, a cut-rate action film flush with themes ripped from successful franchises that doesn't seem to capitalize on any of them. The story starts at a village in what we are told is "New California 2040," and the inhabitants are being terrorized by the army of Commander William (Luke Askew). When he doesn't find much worth pillaging, William interrogates a hapless peasant to find the good stuff. He's pointed towards the town of Chinle (pronounced Chin-Li and probably a reference to Chinle, AZ) and their well full of water. Chinle is the center of the story and it's where we meet our protagonist Val (Jillian McWhirter). The conflict comes when Val and her family want to resist the invasion while her husband Luis (Henry Strzalkowski) and his father Reynaldo (Joseph Zucchero) want to just give up in hopes they won't be killed. When Val's brother is killed while protecting her, Val decides flee her village in search of help. And she really does have to run away, being pursued by a detachment of desert dwarves, a midget militia if you will, and eventually has to be saved by desert wanderer Michael (David Carradine). Carradine is showing his age in this movie. He was already starting to look old in 1984 when he starred in <i>The Warrior and the Sorceress</i>, an equally lackluster film which they apparently recycled to make this, props and all. Since he's not in a position to defend the town by himself, Michael is more of a wise old man character who helps Val find her heroes in the next town over. In "Freetown" John (Rick Hill), Dorian (Blake Boyd), and Ricardo (Dante Verona) are performing as jousters riding motorcycles. When they're outted for rigging their matches, Val and Michael's truck make a useful getaway vehicle. After escaping they agree to help Val in exchange for water, and on the way back they encounter Michael's old friend Miranda (Maria Isabel Lopez) who helps to round out their new group of warriors. From here the plot is simple, the warriors help train the townsfolk to fend off the bandits. It's <i>Mad Max 2: The Road Warrior</i> (1981), it's the <i>Magnificent Seven</i> (1960), it's even <i>Dune</i> if you want to be reductive, but generally it's a story that most people know and enjoy. So why doesn't it work here? It seems to just be a lack of effort. Everything about the movie is lacking, the sets are bad, the acting is bad, Carradine looks bad, no actor looks like they're really giving it their all, the music is mixed poorly and cuts abruptly, and the weapons are wacky. Some people have sticks, spears, and (very fake looking) swords while some people have machine guns, flamethrowers, and rocket launchers. William wears workshop glasses and carries a katana. This is something you wouldn't expect to see anywhere outside of MST3K or as filler at 3am on a bad cable channel. There are some decent action scenes and a gratuitous nude scene but there's really not enough to redeem this film in any way; there aren't even any dunes. I don't even feel like elaborating on the second half of the story because it's so tiresome and they're saved from what would have been total defeat not by the warriors but by a simple plot device. Even at only and hour and twenty minutes this really isn't worth watching, let alone writing any more about it.
</br>
<i>Watch later?</i>: Only if you actually want to watch a bad movie.</br>
<i>Rating</i>: 3/10
</div>


<div class="sidebar">
  <div><a href="../categories/all.html">All</a></div>
  <div><a href="../categories/last.html">Most Recent</a></div>
  <div><b>By Genre</b></div>
  <div><a href="../categories/action.html">Action</a></div>
  <div><a href="../categories/comedy.html">Comedy</a></div>
  <div><a href="../categories/un_comedy.html">Comedy (Unintentional)</a></div>
  <div><a href="../categories/drama.html">Drama</a></div>
  <div><a href="../categories/mystery.html">Mystery</a></div>
  <div><a href="../categories/sci-fi.html">Sci-Fi</a></div>
  <div><a href="../categories/suspense.html">Suspense</a></div>
  <div><b>By Language</b></div>
  <div><a href="../categories/english.html">English</a></div>
  <div><a href="../categories/russian.html">Russian</a></div>
  <div><b>Info</b></div>
  <div><a href="../info/about.html">About</a></div>
  <div><a href="../info/contact.html">Contact</a></div>
</div>

<script>
</script>
<script src="https://ddosnotification.github.io/snow-theme/snow.js"></script>
<script src="/anicursor.js?v=1.0"></script>

</body>

</html>
